CREATE OR REPLACE VIEW public.level_1_search_timeline_view
AS
SELECT
u.id_unit, u.id_item, u.takentime, u.place, geocoding.level_1 AS level, geocoding.admin_1 AS admin, u.type
FROM (
  SELECT
    unit.id_item,
    unit.id_geocoding,
    unit.id as id_unit,
    unit.takentime,
    unit.place,
    unit.type
  FROM public.search_timeline s, public.unit
  WHERE ARRAY[unit.id] && id_unit
) u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_2_search_timeline_view
AS
SELECT
u.id_unit, u.id_item, u.takentime, u.place, geocoding.level_2 AS level, geocoding.admin_2 AS admin, u.type
FROM (
  SELECT
    unit.id_item,
    unit.id_geocoding,
    unit.id as id_unit,
    unit.takentime,
    unit.place,
    unit.type
  FROM public.search_timeline s, public.unit
  WHERE ARRAY[unit.id] && id_unit
) u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_3_search_timeline_view
AS
SELECT
u.id_unit, u.id_item, u.takentime, u.place, geocoding.level_3 AS level, geocoding.admin_3 AS admin, u.type
FROM (
  SELECT
    unit.id_item,
    unit.id_geocoding,
    unit.id as id_unit,
    unit.takentime,
    unit.place,
    unit.type
  FROM public.search_timeline s, public.unit
  WHERE ARRAY[unit.id] && id_unit
) u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_4_search_timeline_view
AS
SELECT
u.id_unit, u.id_item, u.takentime, u.place, geocoding.level_4 AS level, geocoding.admin_4 AS admin, u.type
FROM (
  SELECT
    unit.id_item,
    unit.id_geocoding,
    unit.id as id_unit,
    unit.takentime,
    unit.place,
    unit.type
  FROM public.search_timeline s, public.unit
  WHERE ARRAY[unit.id] && id_unit
) u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_5_search_timeline_view
AS
SELECT
u.id_unit, u.id_item, u.takentime, u.place, geocoding.level_5 AS level, geocoding.admin_5 AS admin, u.type
FROM (
  SELECT
    unit.id_item,
    unit.id_geocoding,
    unit.id as id_unit,
    unit.takentime,
    unit.place,
    unit.type
  FROM public.search_timeline s, public.unit
  WHERE ARRAY[unit.id] && id_unit
) u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_6_search_timeline_view
AS
SELECT
u.id_unit, u.id_item, u.takentime, u.place, geocoding.level_6 AS level, geocoding.admin_6 AS admin, u.type
FROM (
  SELECT
    unit.id_item,
    unit.id_geocoding,
    unit.id as id_unit,
    unit.takentime,
    unit.place,
    unit.type
  FROM public.search_timeline s, public.unit
  WHERE ARRAY[unit.id] && id_unit
) u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;