CREATE OR REPLACE VIEW public.recently_added_timeline_view
AS
SELECT
 item.id as id_item,
 item.type,
 min(unit.createtime)/1000 as createtime,
 array_agg(unit.id) as id_unit,
 unit.place
FROM item , unit
WHERE unit.id_item = item.id AND unit.createtime > (extract(epoch from now())-2592000)*1000
GROUP BY item.id, unit.place
;