#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class AppPrivSetPlugin(common.PluginRunner):
    # @override
    def post(self):
        if '0' != environ.get('RESULT'):
            return

        n_item = int(environ.get('NITEM'))
        for i in xrange(1, n_item + 1):
            if environ.get('APP_{}'.format(i)) == common.APP_ID:
                self.send_command('reload-app-priv')
                self.send_command('check-user-group')
                return


common.MainBody(AppPrivSetPlugin())
