#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class GroupSet(common.PluginRunner):
    # @override
    def post(self):
        if '0' != environ.get('RESULT'):
            return None

        origin_group_name = environ.get('ORIGIN_GROUP_NAME')
        group_name = environ.get('GROUP_NAME')

        if origin_group_name and group_name != origin_group_name and origin_group_name is not None:
            self.send_command('group-rename', [{
                'origin_group_name': origin_group_name,
                'group_name': group_name,
            }])


common.MainBody(GroupSet())
