#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class DirDBRefresh(common.PluginRunner):
    # @override
    def post(self):
        if '0' != environ.get('RESULT'):
            return

        db_type = environ.get('DB_TYPE')
        server_type = environ.get('SERVER_TYPE')

        if server_type == 'domain':
            self.send_command('check-user-group')
            self.restart_moments_service()

common.MainBody(DirDBRefresh())
