ALTER TABLE unit ADD COLUMN normalized_filename text NOT NULL DEFAULT '';
CREATE INDEX unit_id_folder_normalized_filename_idx ON public.unit
	USING btree
	(
	  id_folder ASC NULLS LAST,
	  normalized_filename ASC NULLS LAST
	);
CREATE TABLE public.many_team_library_has_many_user_info(
  team_name text,
  id_user_info integer,
  permission smallint NOT NULL DEFAULT 0,
  CONSTRAINT many_team_library_has_many_user_info_pk PRIMARY KEY (team_name,id_user_info)
);
ALTER TABLE public.many_team_library_has_many_user_info ADD CONSTRAINT team_name_fk FOREIGN KEY (team_name)
REFERENCES public.team_library (name) MATCH FULL
ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE public.many_team_library_has_many_user_info ADD CONSTRAINT user_info_fk FOREIGN KEY (id_user_info)
REFERENCES public.user_info (id) MATCH FULL
ON DELETE CASCADE ON UPDATE CASCADE;