CREATE OR REPLACE VIEW public.concept_album_view
AS
SELECT
 item_count, C.stem, id_concept, threshold, C.parent
FROM
 public.concept as C, (
    SELECT count(U.id_item) as item_count, R.id_concept
    FROM many_unit_has_many_concept as R , unit as U
    WHERE U.id = R.id_unit AND U.place <= 0
    GROUP BY R.id_concept
  ) SS WHERE C.id = SS.id_concept AND item_count >= threshold;
CREATE OR REPLACE VIEW public.drive_concept_album_view
AS
SELECT
 item_count, C.stem, id_concept, threshold, C.parent
FROM
 public.concept as C, (
    SELECT count(U.id_item) as item_count, R.id_concept
    FROM many_unit_has_many_concept as R , unit as U
    WHERE U.id = R.id_unit AND U.place <= 1
    GROUP BY R.id_concept
  ) SS WHERE C.id = SS.id_concept AND item_count >= threshold;