#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class UserDelete(common.PluginRunner):
    # @override
    def post(self):
        if '0' != environ.get('RESULT'):
            return None

        delete_user_names = []
        n_items = int(environ.get('NITEMS'))
        for i in range(1, n_items + 1):
            user_name = environ.get('USER_NAME_{}'.format(i))
            user_op_result = environ.get('USER_OP_RESULT_{}'.format(i))
            delete_user_names.append(user_name);

        if len(delete_user_names) > 0:
            self.send_command('user-delete', {
                'user_name': delete_user_names,
            })


common.MainBody(UserDelete())
