#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

import imp
from os import environ

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')

class UserhomeService(common.PluginRunner):
    def post(self):
        if '0' != environ.get('RESULT'):
            return None

        if not self.is_moments_running():
            return None

        if 'enable' == environ.get('SYNO_HOME_ACTION'):
            self.send_command('user-home-enable-change');
        else:
            self.send_command('user-home-enable-change');

common.MainBody(UserhomeService())
